package com.qianhe.service;

import com.qianhe.domain.JygxLxwh;

import java.util.List;

/**
 * 经验共享-类型维护Service接口
 *
 * @author qianhe
 * @date 2024-07-29
 */
public interface IJygxLxwhService
{
    /**
     * 查询经验共享-类型维护
     *
     * @param lxid 经验共享-类型维护主键
     * @return 经验共享-类型维护
     */
    public JygxLxwh selectJygxLxwhByLxid(Long lxid);

    /**
     * 查询经验共享-类型维护列表
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 经验共享-类型维护集合
     */
    public List<JygxLxwh> selectJygxLxwhList(JygxLxwh jygxLxwh);

    /**
     * 新增经验共享-类型维护
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 结果
     */
    public int insertJygxLxwh(JygxLxwh jygxLxwh);

    /**
     * 修改经验共享-类型维护
     *
     * @param jygxLxwh 经验共享-类型维护
     * @return 结果
     */
    public int updateJygxLxwh(JygxLxwh jygxLxwh);

    /**
     * 批量删除经验共享-类型维护
     *
     * @param lxids 需要删除的经验共享-类型维护主键集合
     * @return 结果
     */
    public int deleteJygxLxwhByLxids(Long[] lxids);

    /**
     * 删除经验共享-类型维护信息
     *
     * @param lxid 经验共享-类型维护主键
     * @return 结果
     */
    public int deleteJygxLxwhByLxid(Long lxid);
}
